Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.project
Interface SettingsMap

All Known Implementing Classes:
  AbstractSettingsMap, DefaultSettingsMap

    public interface SettingsMap

A generic interface to store project-related settings and configurations. SettingsMaps can be nested recursively, i.e. a SettingsMap can contain various other sub-maps (similar to an XML file).

Author:
  Holger Knublauch

Method Summary
`Boolean` | `getBoolean(String key)`
`Integer` | `getInteger(String key)`
`SettingsMap` | `getSettingsMap(String key)` Gets or creates a nested SettingsMap.
`String` | `getString(String key)`
`String` | `getString(String key, String defaultValue)`
`Iterator` | `listKeys()`
`void` | `remove(String key)`
`void` | `setBoolean(String key, boolean value)`
`void` | `setBoolean(String key, Boolean value)`
`void` | `setInteger(String key, int value)`
`void` | `setInteger(String key, Integer value)`
`void` | `setString(String key, String value)`

Method Detail

### getBoolean

    Boolean getBoolean(String key)

### getInteger

    Integer getInteger(String key)

### getSettingsMap

    SettingsMap getSettingsMap(String key)

  Gets or creates a nested SettingsMap.

  Parameters:
    `key` - the name of the nested map.
  Returns:
    an existing or ne SettingsMap

### getString

    String getString(String key)

### getString

    String getString(String key,
                     String defaultValue)

### listKeys

    Iterator listKeys()

### remove

    void remove(String key)

### setBoolean

    void setBoolean(String key,
                    boolean value)

### setBoolean

    void setBoolean(String key,
                    Boolean value)

### setInteger

    void setInteger(String key,
                    int value)

### setInteger

    void setInteger(String key,
                    Integer value)

### setString

    void setString(String key,
                   String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.